> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getoutbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Agency Settings

> Update agency settings. Note: Requires Agency API Key.



## OpenAPI

````yaml PATCH /agency
openapi: 3.1.0
info:
  title: Outbox AI API
  description: API for managing AI agents (chatbots and voicebots) on the Outbox platform
  version: 1.0.0
servers:
  - url: https://api.getoutbox.ai
security: []
paths:
  /agency:
    patch:
      summary: Update Agency Settings
      description: 'Update agency settings. Note: Requires Agency API Key.'
      requestBody:
        description: Agency update details
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgencyUpdate'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/AgencyUpdateMultipart'
      responses:
        '200':
          description: Agency updated successfully
        '400':
          description: Bad Request - Invalid data
        '401':
          description: Unauthorized - Invalid or missing agency API key
        '403':
          description: Forbidden - Requires agency admin access
      security:
        - AgencyApiKey: []
components:
  schemas:
    AgencyUpdate:
      type: object
      properties:
        name:
          type: string
        email:
          type: string
        address:
          type: object
          properties:
            address:
              type: string
            city:
              type: string
            state:
              type: string
            country:
              type: string
            zip_code:
              type: string
        api_key:
          type: string
          description: Setting this field (any value) triggers API key regeneration
    AgencyUpdateMultipart:
      type: object
      properties:
        name:
          type: string
        email:
          type: string
        logo:
          type: string
          format: binary
          description: Agency logo file
        address:
          type: string
          description: JSON string of address object
        api_key:
          type: string
          description: Setting this field (any value) triggers API key regeneration
  securitySchemes:
    AgencyApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: Agency API Key

````